pcl::poisson::TreeNodeData Class Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Public Member Functions

| TreeNodeData (void)
| ~TreeNodeData (void)

## Public Attributes

int | nodeIndex
union {
int mcIndex
struct {
Real centerWeightContribution
int normalIndex
} |
}; |
Real | constraint
Real | solution
int | pointIndex

## Static Public Attributes

static int | UseIndex =1

## Detailed Description

Definition at line 173 of file multi_grid_octree_data.h.

## Constructor & Destructor Documentation

pcl::poisson::TreeNodeData::TreeNodeData | ( | void |  | ) |

Definition at line 476 of file multi_grid_octree_data.hpp.

pcl::poisson::TreeNodeData::~TreeNodeData | ( | void |  | ) |

Definition at line 488 of file multi_grid_octree_data.hpp.

## Member Data Documentation

union { ... }

Real pcl::poisson::TreeNodeData::centerWeightContribution

Definition at line 183 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), and pcl::poisson::Octree< Degree >::SetLaplacianConstraints().

Real pcl::poisson::TreeNodeData::constraint

Definition at line 187 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), and pcl::poisson::UpSampleData::UpSampleData().

int pcl::poisson::TreeNodeData::mcIndex

Definition at line 180 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), and pcl::poisson::Octree< Degree >::SetLaplacianConstraints().

int pcl::poisson::TreeNodeData::nodeIndex

Definition at line 177 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::SortedTreeNodes::CornerTableData::cornerIndices(), pcl::poisson::SortedTreeNodes::EdgeTableData::edgeIndices(), pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), pcl::poisson::Octree< Degree >::Octree(), pcl::poisson::SortedTreeNodes::CornerTableData::operator[](), pcl::poisson::SortedTreeNodes::EdgeTableData::operator[](), pcl::poisson::SortedTreeNodes::setCornerTable(), pcl::poisson::SortedTreeNodes::setEdgeTable(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), and pcl::poisson::UpSampleData::UpSampleData().

int pcl::poisson::TreeNodeData::normalIndex

Definition at line 184 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), pcl::poisson::Octree< Degree >::Octree(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), and pcl::poisson::Octree< Degree >::setTree().

int pcl::poisson::TreeNodeData::pointIndex

Definition at line 188 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::setTree(), and pcl::poisson::UpSampleData::UpSampleData().

Real pcl::poisson::TreeNodeData::solution

Definition at line 187 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), and pcl::poisson::UpSampleData::UpSampleData().

int pcl::poisson::TreeNodeData::UseIndex =1

static

Definition at line 176 of file multi_grid_octree_data.h.

Referenced by pcl::Poisson< PointNT >::~Poisson().

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h
- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp